Overview
PUT
/ecosystem/ecosystems/{id}ecosystemUpdate ecosystems
Replace a record in ecosystems by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- ownerIdoptionalstring
- slugoptionalstring
- nameoptionalstring
- descriptionoptionalstring
- regionoptionalstring
- dedicatedDbConnectionIdoptionalstring?
- primaryDomainoptionalstring
- isDeletedoptionalboolean
- isDefaultoptionalboolean
- isInfrastructureoptionalboolean
- namespaceIdoptionalstring?
Example
{
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"region": "string",
"dedicatedDbConnectionId": "string",
"primaryDomain": "string",
"isDeleted": true,
"isDefault": true,
"isInfrastructure": true,
"namespaceId": "string"
}Responses
200
ecosystems
- idstring
- ownerIdstring
- slugstring
- namestring
- descriptionstring
- regionstring
- dedicatedDbConnectionIdstring?
- primaryDomainstring
- createdAtstring
- updatedAtstring
- isDeletedboolean
- isDefaultboolean
- isInfrastructureboolean
- namespaceIdstring?
Example
{
"id": "string",
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"region": "string",
"dedicatedDbConnectionId": "string",
"primaryDomain": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true,
"isDefault": true,
"isInfrastructure": true,
"namespaceId": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/ecosystem/ecosystems/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"region": "string",
"dedicatedDbConnectionId": "string",
"primaryDomain": "string",
"isDeleted": true,
"isDefault": true,
"isInfrastructure": true,
"namespaceId": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/ecosystems/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ownerId\": \"string\",\n \"slug\": \"string\",\n \"name\": \"string\",\n \"description\": \"string\",\n \"region\": \"string\",\n \"dedicatedDbConnectionId\": \"string\",\n \"primaryDomain\": \"string\",\n \"isDeleted\": true,\n \"isDefault\": true,\n \"isInfrastructure\": true,\n \"namespaceId\": \"string\"\n}",
});
const data = await res.json();